### Constructor

# Foundry Settings new

#### Declaration [src]

    FoundrySettings*
    foundry_settings_new (
      FoundryContext* context,
      const char* schema_id
    )

#### Description

No description available.

#### Parameters

`context`

  Type: `FoundryContext`

  No description available.

  The data is owned by the caller of the function.

`schema_id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundrySettings`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.